Subject: bug#24210: closed (Re: [bug-diffutils] bug#24210: bug#24210: bug#24210: diff3 in diffutils 3.4 is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Aug 2016 13:57:02 +0000

Your bug report

#24210: diff3 in diffutils 3.4 is broken

which was filed against the diffutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24210: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24210
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug-diffutils] bug#24210: bug#24210: bug#24210: diff3 in diffutils 3.4 is broken
From: Jim Meyering <[email-masked]>
To: Bastian Beischer <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Aug 2016 06:56:02 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Aug 14, 2016 at 10:54 PM, Bastian Beischer
<[email-masked]> wrote:
> The patches look fine to me, although I don't know the source of diff3 well
> enough to be a good reviewer. I've tested the patches a bit and everything
> seems to be OK. Thanks for fixing this issue.

Thanks for testing.

Subject: diff3 in diffutils 3.4 is broken
From: Bastian Beischer <[email-masked]>
To: [email-masked]
Date: Fri, 12 Aug 2016 16:22:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Please try to run diff3 from diffutils 3.4 as follows:

echo a > a.txt
echo b > b.txt
echo c > c.txt
diff3 a.txt b.txt c.txt

Expected output (with diff3 from diffutils 3.3):

====
1:1c
 a
2:1c
 b
3:1c
 c

Actual output (with diff3 from diffutils 3.4):

====3
1:1c
2:1c
 a
3:1c
 c

There was only one commit in src/diff3.c between 3.3 and 3.4:

http://git.savannah.gnu.org/cgit/diffutils.git/commit/src?id=3b74a905c5460e7979c53273ac90345860d001a7

Reverting this commit fixes the issue.

Best
Bastian

-- 
Bastian Beischer
RWTH Aachen University of Technology

@RWTH Aachen
Office: 28 C 203
Phone: +49-241-80-27205
E-mail: [email-masked]
Address: I. Physikalisches Institut B, Sommerfeldstr. 14, D-52074 Aachen

@CERN
Office: Bdg 32-4-B12
Phone: +41-22-76-75750
E-mail: [email-masked]
Address: CERN, CH-1211 Geneve 23